if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fn_IntAsString]') and xtype in (N'FN', N'IF', N'TF'))
drop function [dbo].[fn_IntAsString]
GO

CREATE FUNCTION [fn_IntAsString] (@ID int)
RETURNS nvarchar(10)
-- возвращает 5 символов, содержащие запись @ID в десятичной форме 
-- с лидирующими (при необходимости) нулями
AS
BEGIN
  declare @Res nvarchar(10)
  set @ID = IsNull(@ID, 9999999999)
  set @Res = LTrim(cast(@ID as Nvarchar(10)))
  while Len(@Res) < 10
    set @Res = '0'+@Res
  return @Res
END